# neutron_lib.utils.host module

neutron_lib.utils.host.cpu_count()

  Get the system CPU count.

  Returns:

    The number of CPUs on the system as an int. If there’s an issue fetching the CPU count on the system, a default value of 1 is returned.

this page last updated: 2026-03-03 11:51:03

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug